bootlog(8)

NAME
bootlog - write stdout/stderr of a program to file

SYNOPSIS
bootlog [-12ctar] logsize logfile program [arguments]

DESCRIPTION
bootlog is used to start a program and write stdout/stderr to a disk file. This works also before mouning any file systems. bottlog is designed to log the output of scripts/services at boot time, before mounting any file system. This is typical for system init. bootlog expects that when the program exits, the logfile is writable!

OPTIONS

-1  log only stdout

-2  log only stderr; default is to log stdout and stderr

-c  create logfile

-t  truncate logfile

-a  append to logfile

-r  replace old logfile with logfile~

logsize
    maximal size of output to be logged

logfile
    disk file name

program
    the name of the program to start

arguments
    additional arguments for program

WARNING
Use the option -c to force creating of the logfile. Actually the options -c, -a, -t add O_CREAT, O_APPEND, O_TRUNC flags to open(2) for logfile

EXAMPLE
bootlog -ctr 120000 /tmp/.sysinit.log /etc/rc.d/rc.sysinit You will have the files /tmp/.sysinit.log and /tmp/.sysinit.log~

ENVIRON
bootlog uses the variable PATH to start program
If PATH is undefined it uses PATH=/bin:/usr/bin

AUTHOR
bootlog is part of ninit package written by Nikola Vladov

SEE ALSO
ninit(8), open(2)